org.eclipse.emf.cdo.common.revision

## Class CDORevisionUtil.CDORevisionComparator

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.CDORevisionComparator

- All Implemented Interfaces:
    Comparator<CDORevisionKey>
  Enclosing class:
    CDORevisionUtil

      public static class CDORevisionUtil.CDORevisionComparator
      extends Object
      implements Comparator<CDORevisionKey>

  Compares `revision keys` by `ID` and `version`.
  Since:
    4.0
  Author:
    Eike Stepper
  Apiviz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDORevisionComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(CDORevisionKey rev1, CDORevisionKey rev2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### CDORevisionComparator

          public CDORevisionComparator()

  - ### Method Detail

    - #### compare

          public int compare(CDORevisionKey rev1,
                             CDORevisionKey rev2)

      Specified by:
        `compare` in interface `Comparator<CDORevisionKey>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html